← OBPv7.0.0 Get Customer Addresses GET /obp/v7.0.0/banks/BANK_ID/customers/CUSTOMER_ID/addresses OBPv3.1.0-getCustomerAddresses Roles: CanGetCustomerAddress(per bank) CustomerKYC Get the Addresses of the Customer specified by CUSTOMER_ID. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh JSON response body fields (14) addresses city country_code 1254county customer_address_id customer_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhinsert_date 2020-01-27line_1 line_2 line_3 postcode state status tags Create-My-User Example success response { "addresses": [ { "customer_address_id": "5995d6a2-01b3-423c-a173-5481df49bdaf", "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh", "line_1": "No 1 the Road", "line_2": "The Place", "line_3": "The Hill", "city": "Berlin", "county": "", "state": "Brandenburg", "postcode": "13359", "country_code": "DE", "tags": [ "mailing", "home" ], "status": "OK", "insert_date": "1100-01-01T00:00:00Z" } ] } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-30046: Customer not found. Please specify a valid value for CUSTOMER_ID.OBP-50000: Unknown Error.